package com.ruoyi.business.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目对象 s_bid
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public class SBid extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String bidId;

    /** 地区id */
    @Excel(name = "地区id")
    private Long areaId;

    /** 地区名 */
    @Excel(name = "地区名")
    private String areaName;

    /** 公告标题 */
    @Excel(name = "公告标题")
    private String noticeName;

    /** 公告类别 */
    @Excel(name = "公告类别")
    private String noticeType;

    /** 发布时间 */
    @Excel(name = "发布时间")
    private Long ctime;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String name;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String number;

    /** 预算（元） */
    @Excel(name = "预算", readConverterExp = "元=")
    private BigDecimal budget;

    /** 招标单位 */
    @Excel(name = "招标单位")
    private String bidUnit;

    /** 招标联系人 */
    @Excel(name = "招标联系人")
    private String bidName;

    /** 招标联系电话 */
    @Excel(name = "招标联系电话")
    private String bidPhone;

    /** 代理单位 */
    @Excel(name = "代理单位")
    private String agentUnit;

    /** 代理联系人 */
    @Excel(name = "代理联系人")
    private String agentName;

    /** 代理联系电话 */
    @Excel(name = "代理联系电话")
    private String agentPhone;

    /** 原文链接 */
    @Excel(name = "原文链接")
    private String sourceUrl;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String fromData;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String inaword;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String descs;

    /** 招标状态0招标，1中标 */
    @Excel(name = "招标状态0招标，1中标")
    private Integer bidState;

    /** 中标金额 */
    @Excel(name = "中标金额")
    private BigDecimal amount;

    /** 中标单位 */
    @Excel(name = "中标单位")
    private String winUnit;

    /** 中标联系人 */
    @Excel(name = "中标联系人")
    private String winName;

    /** 中标联系电话 */
    @Excel(name = "中标联系电话")
    private String winPhone;

    /** 开标日期 */
    @Excel(name = "开标日期")
    private Long openTime;

    /** 收藏次数 */
    @Excel(name = "收藏次数")
    private Long storeNumber;

    /** 工商数据清洗  0 未清洗 1 清洗 */
    @Excel(name = "工商数据清洗  0 未清洗 1 清洗")
    private Integer companyStatus;

    public void setBidId(String bidId) 
    {
        this.bidId = bidId;
    }

    public String getBidId() 
    {
        return bidId;
    }
    public void setAreaId(Long areaId) 
    {
        this.areaId = areaId;
    }

    public Long getAreaId() 
    {
        return areaId;
    }
    public void setAreaName(String areaName) 
    {
        this.areaName = areaName;
    }

    public String getAreaName() 
    {
        return areaName;
    }
    public void setNoticeName(String noticeName) 
    {
        this.noticeName = noticeName;
    }

    public String getNoticeName() 
    {
        return noticeName;
    }
    public void setNoticeType(String noticeType) 
    {
        this.noticeType = noticeType;
    }

    public String getNoticeType() 
    {
        return noticeType;
    }
    public void setCtime(Long ctime) 
    {
        this.ctime = ctime;
    }

    public Long getCtime() 
    {
        return ctime;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setNumber(String number) 
    {
        this.number = number;
    }

    public String getNumber() 
    {
        return number;
    }
    public void setBudget(BigDecimal budget) 
    {
        this.budget = budget;
    }

    public BigDecimal getBudget() 
    {
        return budget;
    }
    public void setBidUnit(String bidUnit) 
    {
        this.bidUnit = bidUnit;
    }

    public String getBidUnit() 
    {
        return bidUnit;
    }
    public void setBidName(String bidName) 
    {
        this.bidName = bidName;
    }

    public String getBidName() 
    {
        return bidName;
    }
    public void setBidPhone(String bidPhone) 
    {
        this.bidPhone = bidPhone;
    }

    public String getBidPhone() 
    {
        return bidPhone;
    }
    public void setAgentUnit(String agentUnit) 
    {
        this.agentUnit = agentUnit;
    }

    public String getAgentUnit() 
    {
        return agentUnit;
    }
    public void setAgentName(String agentName) 
    {
        this.agentName = agentName;
    }

    public String getAgentName() 
    {
        return agentName;
    }
    public void setAgentPhone(String agentPhone) 
    {
        this.agentPhone = agentPhone;
    }

    public String getAgentPhone() 
    {
        return agentPhone;
    }
    public void setSourceUrl(String sourceUrl) 
    {
        this.sourceUrl = sourceUrl;
    }

    public String getSourceUrl() 
    {
        return sourceUrl;
    }
    public void setFromData(String fromData) 
    {
        this.fromData = fromData;
    }

    public String getFromData() 
    {
        return fromData;
    }
    public void setInaword(String inaword) 
    {
        this.inaword = inaword;
    }

    public String getInaword() 
    {
        return inaword;
    }
    public void setDescs(String descs) 
    {
        this.descs = descs;
    }

    public String getDescs() 
    {
        return descs;
    }
    public void setBidState(Integer bidState) 
    {
        this.bidState = bidState;
    }

    public Integer getBidState() 
    {
        return bidState;
    }
    public void setAmount(BigDecimal amount) 
    {
        this.amount = amount;
    }

    public BigDecimal getAmount() 
    {
        return amount;
    }
    public void setWinUnit(String winUnit) 
    {
        this.winUnit = winUnit;
    }

    public String getWinUnit() 
    {
        return winUnit;
    }
    public void setWinName(String winName) 
    {
        this.winName = winName;
    }

    public String getWinName() 
    {
        return winName;
    }
    public void setWinPhone(String winPhone) 
    {
        this.winPhone = winPhone;
    }

    public String getWinPhone() 
    {
        return winPhone;
    }
    public void setOpenTime(Long openTime) 
    {
        this.openTime = openTime;
    }

    public Long getOpenTime() 
    {
        return openTime;
    }
    public void setStoreNumber(Long storeNumber) 
    {
        this.storeNumber = storeNumber;
    }

    public Long getStoreNumber() 
    {
        return storeNumber;
    }
    public void setCompanyStatus(Integer companyStatus) 
    {
        this.companyStatus = companyStatus;
    }

    public Integer getCompanyStatus() 
    {
        return companyStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("bidId", getBidId())
            .append("areaId", getAreaId())
            .append("areaName", getAreaName())
            .append("noticeName", getNoticeName())
            .append("noticeType", getNoticeType())
            .append("ctime", getCtime())
            .append("name", getName())
            .append("number", getNumber())
            .append("budget", getBudget())
            .append("bidUnit", getBidUnit())
            .append("bidName", getBidName())
            .append("bidPhone", getBidPhone())
            .append("agentUnit", getAgentUnit())
            .append("agentName", getAgentName())
            .append("agentPhone", getAgentPhone())
            .append("sourceUrl", getSourceUrl())
            .append("fromData", getFromData())
            .append("inaword", getInaword())
            .append("descs", getDescs())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .append("bidState", getBidState())
            .append("amount", getAmount())
            .append("winUnit", getWinUnit())
            .append("winName", getWinName())
            .append("winPhone", getWinPhone())
            .append("openTime", getOpenTime())
            .append("storeNumber", getStoreNumber())
            .append("companyStatus", getCompanyStatus())
            .toString();
    }
}
